Package org.apache.sysds.runtime.controlprogram.federated

# Class FederatedStatistics.FedStatsCollection

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.FederatedStatistics.FedStatsCollection

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  FederatedStatistics

public static class FederatedStatistics.FedStatsCollection extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`List<TrafficModel>`
`coordinatorsTrafficBytes`
`HashMap<String,org.apache.commons.lang3.tuple.Pair<Long,Double>>`
`heavyHitters`
`double`
`jitCompileTime`
`UtilizationModel`
`utilization`
`List<DataObjectModel>`
`workerDataObjects`
`List<EventModel>`
`workerEvents`
`List<RequestModel>`
`workerRequests`

## Constructor Summary

Constructors
Constructor
Description
`FedStatsCollection()`

## Method Summary

Modifier and Type
Method
Description
`void`
`aggregate(FederatedStatistics.FedStatsCollection that)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### jitCompileTime

public double jitCompileTime

### utilization

public UtilizationModel utilization

### heavyHitters

public HashMap<String,org.apache.commons.lang3.tuple.Pair<Long,Double>> heavyHitters

### coordinatorsTrafficBytes

public List<TrafficModel> coordinatorsTrafficBytes

### workerEvents

public List<EventModel> workerEvents

### workerDataObjects

public List<DataObjectModel> workerDataObjects

### workerRequests

public List<RequestModel> workerRequests

## Constructor Details

### FedStatsCollection

public FedStatsCollection()

## Method Details

### aggregate

public void aggregate(FederatedStatistics.FedStatsCollection that)

### toString

public String toString()

Overrides:
  `toString` in class `Object`